using UObject = UnityEngine.Object;

namespace BingoBrain.Core
{
    public static class Uvsjk
    {
        #region Engine

        public static T Instantiate<T>(T original) where T : UObject
        {
            T obj = UObject.Instantiate(original);
            return obj;
        }

        public static void Destroy(UObject obj)
        {
            if (obj)
            {
                UObject.Destroy(obj);
            }
        }


        #endregion
    }
}